Bug 970646 - [abrt] system-config-printer-libs-1.4.1-3.fc19: module.py:135:__getattr__:AttributeError: 'gi.repository.Notify' object has no attribute 'URGENCY_NORMAL'
[abrt] system-config-printer-libs-1.4.1-3.fc19: module.py:135:__getattr__:Att...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
abrt_hash:395f7ac8ae0080188d32987eac8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-04 09:48 EDT by Jiří Martínek
Modified: 2013-06-13 02:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: system-config-printer-1.4.1-6.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-13 02:36:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.04 KB, text/plain)
2013-06-04 09:48 EDT, Jiří Martínek
no flags Details
File: core_backtrace (586 bytes, text/plain)
2013-06-04 09:48 EDT, Jiří Martínek
no flags Details
File: environ (727 bytes, text/plain)
2013-06-04 09:48 EDT, Jiří Martínek
no flags Details

  None (edit)
Description Jiří Martínek 2013-06-04 09:48:10 EDT
Version-Release number of selected component:
system-config-printer-libs-1.4.1-3.fc19

Additional info:
reporter:       libreport-2.1.4
cmdline:        /usr/bin/python /usr/share/system-config-printer/scp-dbus-service.py
dso_list:       pygobject3-base-3.8.2-2.fc19.i686
executable:     /usr/share/system-config-printer/scp-dbus-service.py
kernel:         3.9.4-300.fc19.i686
runlevel:       N 5
uid:            1000

Truncated backtrace:
module.py:135:__getattr__:AttributeError: 'gi.repository.Notify' object has no attribute 'URGENCY_NORMAL'

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2064, in state_reason_added
    self.notify_printer_state_reason_if_important (reason)
  File "/usr/share/system-config-printer/jobviewer.py", line 1716, in notify_printer_state_reason_if_important
    self.notify_printer_state_reason (reason)
  File "/usr/share/system-config-printer/jobviewer.py", line 1727, in notify_printer_state_reason
    urgency = Notify.URGENCY_NORMAL
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 316, in __getattr__
    return getattr(self._introspection_module, name)
  File "/usr/lib/python2.7/site-packages/gi/module.py", line 135, in __getattr__
    self.__name__, name))
AttributeError: 'gi.repository.Notify' object has no attribute 'URGENCY_NORMAL'

Local variables in innermost frame:
info: None
self: <IntrospectionModule 'Notify' from '/usr/lib/girepository-1.0/Notify-0.7.typelib'>
name: 'URGENCY_NORMAL'
Comment 1 Jiří Martínek 2013-06-04 09:48:15 EDT
Created attachment 756816 [details]
File: backtrace
Comment 2 Jiří Martínek 2013-06-04 09:48:20 EDT
Created attachment 756817 [details]
File: core_backtrace
Comment 3 Jiří Martínek 2013-06-04 09:48:24 EDT
Created attachment 756819 [details]
File: environ
Comment 4 Tim Waugh 2013-06-04 12:05:36 EDT
Fixed upstream in commit 5a8bd4b.
Comment 5 Fedora Update System 2013-06-07 12:29:07 EDT
system-config-printer-1.4.1-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.1-6.fc19
Comment 6 Fedora Update System 2013-06-07 22:56:54 EDT
Package system-config-printer-1.4.1-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.1-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10351/system-config-printer-1.4.1-6.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-06-13 02:36:24 EDT
system-config-printer-1.4.1-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.